<div class="row" ng-if="$ctrl.messages.length > 0">
	<div class="col-md-12">
		<div class="bio-generic-card">
            <table class="bio-table">
                <thead>
                    <tr>
                        <td>MESSAGE &nbsp;<i class="fa fa-chevron-down"></i></td>
                        <td style="width:130px">SENT &nbsp;<i class="fa fa-chevron-down"></i></td>
                        <td style="width:130px">STATUS &nbsp;<i class="fa fa-chevron-down"></i></td>
                        <td style="width:130px">TYPE &nbsp;<i class="fa fa-chevron-down"></i></td>
                        <td style="width:130px">ACTIONS &nbsp;<i class="fa fa-chevron-down"></i></td>
                    </tr>
                </thead>
                <tbody>
                    <tr ng-repeat="sms in $ctrl.messages">      
                        <td>{{sms.body}}</td>
                        <td>{{sms.created_at | date:"dd MMM yyyy"}}</td>
                        <td>    
                            <div class="sms_{{sms.status}} capitalize">{{sms.status}}</div>
                        </td>
                        <td>{{sms.message_type | uppercase}}</td> 
                        <td>
                            <div class="view_message_btn" ng-click="$ctrl.readMessage( sms.id )">View Message</div>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
	</div>
</div>
<div class="row" ng-if="$ctrl.messages.length == 0">
    <div class="col-md-12">
        <div class="message_wrapper">
            <div class="icon_wrapper">
                <i class="material-icons md-100 light-blue-grey">forum</i>
            </div>
            <div ng-if="!$ctrl.user.is_temp" class="invitation_sent_wrapper text-center">
                <p class="invitation-title">You haven’t messaged this patient yet.</p>
                <p class="message">Send a message to your patient to remind them to see you. Your message <br>will be displayed on your patient's BioMark app.</p>
                <!-- <button class="btn btn-danger biomark-btn-primary" ng-click="$ctrl.open_message()">Send Message</button>   --> 
            </div>
            <div ng-if="$ctrl.user.is_temp" class="invitation_sent_wrapper text-center">
                <p class="invitation-title">Your patient hasn’t downloaded the app yet.</p>
            </div>
        </div>
    </div>
</div>
<div class="biomark-modal" ng-if="$ctrl.viewMessage">
    <div class="modal_container small">
        <div class="modal-closer-icon" ng-click="$ctrl.close_message()">
            <i class="material-icons md-14">close</i>
        </div>
        <div class="modal-body-sm text-center" style="padding: 20px 30px 20px 30px; border-bottom:solid 1px #d9dfeb;">
            <div class="patient-message-info-wrapper" style="border-bottom: none">
                <div ng-if="$ctrl.processing">
                    <lines class="shine"></lines>
                    <lines class="shine"></lines>
                    <lines-sm class="shine"></lines-sm>
                </div> 
                <div class="patient-img" ng-if="!$ctrl.processing">
                    <div ng-if="$ctrl.patient.picture != null">
                        <img ng-src="https://assets.biomarking.com/profile/{{$ctrl.patient.picture}}"
                          class="profile" style="border-radius: 50%" height="70" width="70">
                    </div>
                    <div 
                        class="temporary_picture" style="text-transform: uppercase;" ng-if="$ctrl.patient.picture == null">
                        {{$ctrl.patient.first_name[0]}}{{$ctrl.patient.last_name[0]}}
                    </div>
                </div>
                <div class="patient-info-label" ng-if="!$ctrl.processing">
                    <p class="patient-name">{{$ctrl.patient.first_name}} {{$ctrl.patient.last_name}}</p>
                    <div class="d-flex flex-row">
                        <div class="sms_{{$ctrl.patient.message.status}} capitalize">{{$ctrl.patient.message.status}}</div>
                        <div class="patient-message-date ml-2" style="color: black; font-size: 13px;">via {{$ctrl.patient.message.message_type | uppercase}}</div>
                    </div>
                    <div class="patient-message-date" style="text-align: start;">{{$ctrl.patient.message.created_at | date:"dd MMM yyyy"}}</div>
                </div>
            </div>
        </div>
        <div class="message-container">
            <div class="message-header">
                <p>Message</p>
            </div>
            <div class="message-text d-flex" >
                <p style="word-wrap: break-word;overflow:hidden">{{$ctrl.patient.message.body}}</p>
            </div>
        </div>
        <div class="col-md-12" style="text-align: center; padding-bottom: 30px">
            <a href="" class="back" ng-click="$ctrl.close_message()">Close</a>
        </div>
    </div>
</div>
<!-- <div class="doctor-portal-modal">
    <div class="container d-flex">
        <div class="modal-370 m-4 p-4 mx-auto">
            test
        </div>
    </div>
</div> -->

